#!/bin/csh -f
#

set HIFIsh = '../hifi.sh'
set PEAKLISTsh = '../generate_peaklist.sh'

if (! -e $HIFIsh) then
  echo 'ERROR: "'$HIFIsh'" not found.'
  echo '       Please make sure that path is set correctly.'
  exit
endif

if (! -e $PEAKLISTsh) then
  echo 'ERROR: "'$PEAKLISTsh'" not found.'
  echo '       Please make sure that path is set correctly.'
  exit
endif

set list = 'LIST'

set hifi = `awk '{print $1}' $list`
set ortho0 = `awk '{print $2}' $list`
set ortho90 = `awk '{print $3}' $list`
set tilt = `awk '{print $4}' $list`

@ i=0
while ($i < $#hifi)
@ i++

echo $ortho0[$i] 0 >! input_hifi.txt
echo $ortho90[$i] 90 >> input_hifi.txt

echo ""
echo "predicting FIRST tilted plane for experiment "$hifi[$i]
echo "	- experiment "$i" of "$#hifi
echo ""

$HIFIsh $hifi[$i] 76 > /dev/null

set pred_tilt = `awk '{print $1}' suggested_plane.txt`
if ($pred_tilt != $tilt[$i]) then
  echo "WARNING: predicted angle for "$hifi[$i]" experiment different than expected"
endif 

echo "	- predicted tilt angle: "$pred_tilt" matches expected value"
echo ""

/bin/rm -f input_hifi.txt workspace_hifi.mat suggested_plane.txt

end

echo ""
echo "Now extracting peak list for HNCO experiment."
echo "	- five files should be generated:"
echo "          ubiq_hncofull_list.peaks"
echo "          ubiq_hnco4.peaks"
echo "          ubiq_hnco3.peaks"
echo "          ubiq_hnco2.peaks"
echo "          ubiq_hnco1.peaks"
echo ""

$PEAKLISTsh ubiqFINAL_workspace_hifi.mat ubiq_hnco.frq ubiq_hnco


